## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanArrayAutoPtr< Type > Class Template Reference

List of all members.

## Public Member Functions

- XalanArrayAutoPtr (Type *thePointer=0)
- XalanArrayAutoPtr (const XalanArrayAutoPtr< Type > &theSource)
- XalanArrayAutoPtr< Type > & operator= (XalanArrayAutoPtr< Type > &theRHS)
- ~XalanArrayAutoPtr ()
- Type & operator * () const
- Type & operator[] (size_t index) const
- Type * get () const
- Type * release ()
- void reset (Type *thePointer=0)

### template<class Type>
class XalanArrayAutoPtr< Type >

## Constructor & Destructor Documentation

template<class Type>
XalanArrayAutoPtr< Type >::XalanArrayAutoPtr | ( | Type * | thePointer = 0 | ) |

template<class Type>
XalanArrayAutoPtr< Type >::XalanArrayAutoPtr | ( | const XalanArrayAutoPtr< Type > & | theSource | ) |

template<class Type>
XalanArrayAutoPtr< Type >::~XalanArrayAutoPtr | ( |  | ) |

## Member Function Documentation

template<class Type>
Type* XalanArrayAutoPtr< Type >::get | ( |  | ) | const

template<class Type>
Type& XalanArrayAutoPtr< Type >::operator * | ( |  | ) | const

template<class Type>
XalanArrayAutoPtr<Type>& XalanArrayAutoPtr< Type >::operator= | ( | XalanArrayAutoPtr< Type > & | theRHS | ) |

template<class Type>
Type& XalanArrayAutoPtr< Type >::operator[] | ( | size_t | index | ) | const

template<class Type>
Type* XalanArrayAutoPtr< Type >::release | ( |  | ) |

template<class Type>
void XalanArrayAutoPtr< Type >::reset | ( | Type * | thePointer = 0 | ) |

The documentation for this class was generated from the following file:

- XalanAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.